﻿using System;
using System.Collections.Generic;

namespace CrmRulo
{
    public class Report
    {
        // Id of the report in CRM
        public Guid? Id;

        // Name of report in CRM
        public string Name;

        // Report file name
        public string PathToReportFile;

        // List of entities associated with this report.
        public IEnumerable<string> EntityLogicalNames;

        // List of visibility codes.
        public IEnumerable<int> VisibilityCodes;

        // List of category codes.
        public IEnumerable<int> CategoryCodes;

        // Optional: name of parent record in CRM.
        public string ParentReportName;

        // Optional: id of parent record in CRM.
        public Guid? ParentReportId;

        // Language code to apply to report. -1 for 'all languages'
        public int LanguageCode;

        // Descriptive text for the report.
        public string Description;

        // Time the report was modifified last.
        public DateTime LastModified;
    }
}